## Class TScaffoldInputCommon

Description

TScaffoldInputCommon class file.

- license: http://www.pradosoft.com/license/
- copyright: Copyright &copy; 2005-2007 PradoSoft
- link: http://www.pradosoft.com/

Located in /Data/ActiveRecord/Scaffold/InputBuilder/TScaffoldInputCommon.php (line 12)

    TScaffoldInputBase
       |
       --TScaffoldInputCommon

Direct descendents

Class | Description
--- | ---
TIbmScaffoldInput | TIbmScaffoldInput class file.
TMssqlScaffoldInput | TMssqlScaffoldInput class file.
TMysqlScaffoldInput | TMysqlScaffoldInput class file.
TPgsqlScaffoldInput | TPgsqlScaffoldInput class file.
TSqliteScaffoldInput | TSqliteScaffoldInput class file.

Method Summary
void createBooleanControl (mixed $container, mixed $column, mixed $record)
void createDateControl (mixed $container, mixed $column, mixed $record)
void createDateTimeControl (mixed $container, mixed $column, mixed $record)
void createDefaultControl (mixed $container, mixed $column, mixed $record)
void createEnumControl (mixed $container, mixed $column, mixed $record)
void createFloatControl (mixed $container, mixed $column, mixed $record)
void createIntegerControl (mixed $container, mixed $column, mixed $record)
void createMultiLineControl (mixed $container, mixed $column, mixed $record)
void createRangeValidator (mixed $container, mixed $column, mixed $record)
void createRequiredValidator (mixed $container, mixed $column, mixed $record)
void createSetControl (mixed $container, mixed $column, mixed $record)
void createTimeControl (mixed $container, mixed $column, mixed $record)
void createTypeValidator (mixed $container, mixed $column, mixed $record)
void createYearControl (mixed $container, mixed $column, mixed $record)
void getDateTimeValue (mixed $container, mixed $column, mixed $record)
void getDefaultControlValue (mixed $container, mixed $column, mixed $record)
void getEnumValue (mixed $container, mixed $column, mixed $record)
void getMatchingIndices (mixed $checks, mixed $values)
void getSetValue (mixed $container, mixed $column, mixed $record)
void getTimeValue (mixed $container, mixed $column, mixed $record)
void setDefaultProperty (mixed $container, mixed $control, mixed $column, mixed $record)
void setNotNullProperty (mixed $container, mixed $control, mixed $column, mixed $record)
Methods
createBooleanControl (line 28)

- access: protected

void createBooleanControl (mixed $container, mixed $column, mixed $record)
createDateControl (line 198)

- access: protected

void createDateControl (mixed $container, mixed $column, mixed $record)

Redefined in descendants as:

- TSqliteScaffoldInput::createDateControl()

createDateTimeControl (line 212)

- access: protected

void createDateTimeControl (mixed $container, mixed $column, mixed $record)

Redefined in descendants as:

- TSqliteScaffoldInput::createDateTimeControl()

createDefaultControl (line 38)

- access: protected

void createDefaultControl (mixed $container, mixed $column, mixed $record)
createEnumControl (line 276)

- access: protected

void createEnumControl (mixed $container, mixed $column, mixed $record)
createFloatControl (line 95)

- access: protected

void createFloatControl (mixed $container, mixed $column, mixed $record)
createIntegerControl (line 86)

- access: protected

void createIntegerControl (mixed $container, mixed $column, mixed $record)

Redefined in descendants as:

- TMysqlScaffoldInput::createIntegerControl()

createMultiLineControl (line 59)

- access: protected

void createMultiLineControl (mixed $container, mixed $column, mixed $record)
createRangeValidator (line 137)

- access: protected

void createRangeValidator (mixed $container, mixed $column, mixed $record)
createRequiredValidator (line 112)

- access: protected

void createRequiredValidator (mixed $container, mixed $column, mixed $record)
createSetControl (line 250)

- access: protected

void createSetControl (mixed $container, mixed $column, mixed $record)
createTimeControl (line 149)

- access: protected

void createTimeControl (mixed $container, mixed $column, mixed $record)
createTypeValidator (line 125)

- access: protected

void createTypeValidator (mixed $container, mixed $column, mixed $record)
createYearControl (line 70)

- access: protected

void createYearControl (mixed $container, mixed $column, mixed $record)
getDateTimeValue (line 233)

- access: protected

void getDateTimeValue (mixed $container, mixed $column, mixed $record)

Redefined in descendants as:

- TSqliteScaffoldInput::getDateTimeValue()

getDefaultControlValue (line 50)

- access: protected

void getDefaultControlValue (mixed $container, mixed $column, mixed $record)
getEnumValue (line 304)

- access: protected

void getEnumValue (mixed $container, mixed $column, mixed $record)
getMatchingIndices (line 265)

- access: protected

void getMatchingIndices (mixed $checks, mixed $values)
getSetValue (line 293)

- access: protected

void getSetValue (mixed $container, mixed $column, mixed $record)
getTimeValue (line 242)

- access: protected

void getTimeValue (mixed $container, mixed $column, mixed $record)
setDefaultProperty (line 14)

- access: protected

void setDefaultProperty (mixed $container, mixed $control, mixed $column, mixed $record)
setNotNullProperty (line 21)

- access: protected

void setNotNullProperty (mixed $container, mixed $control, mixed $column, mixed $record)

#### Inherited Methods

Inherited From TScaffoldInputBase

> TScaffoldInputBase::createControl()
> TScaffoldInputBase::createControlLabel()
> TScaffoldInputBase::createInputBuilder()
> TScaffoldInputBase::createScaffoldInput()
> TScaffoldInputBase::getControlValue()
> TScaffoldInputBase::getIsEnabled()
> TScaffoldInputBase::getParent()
> TScaffoldInputBase::getRecordPropertyValue()
> TScaffoldInputBase::loadScaffoldInput()
> TScaffoldInputBase::setRecordPropertyValue()

Class Constants

#### Inherited Constants

Inherited from TScaffoldInputBase

> TScaffoldInputBase::DEFAULT_ID

Documentation generated on Mon, 21 Apr 2008 11:36:07 -0400 by phpDocumentor 1.3.0RC4